EndpointsReporters

Submit a reporter output

POST/v2/reporters/outputs

Stores one declared output part for a running reporter run or an external reporter. A run output with the same name is replaced. JSON parts declaring coworld.stats.v1 enforce its statistics contract; other JSON schema URIs are descriptive and only JSON syntax is checked.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

name*Name

Declared name of the output part.

Length1 <= length <= 100
type*Type

Declared type of the output part.

media_type?|

Media type for a file output.

Header Parameters

X-Reporter-Key?|

Submission key for an external reporter.

Request Body

application/octet-stream

Raw output body in the format declared by type.

body*file

Raw output bytes.

Formatbinary
curl -X POST "https://example.com/v2/reporters/outputs?name=string&type=string" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "id": "string",  "reporter_id": "string",  "reporter_run_id": "string",  "name": "string",  "type": "string",  "size_bytes": 0,  "content_hash": "string",  "media_type": "string",  "created_at": "2019-08-24T14:15:22Z",  "url": "string"}